import React from 'react';
import type { IndexField } from '../modules/create-index/fields';
export declare type CreateIndexFieldsProps = {
    fields: IndexField[];
    schemaFields: string[];
    serverVersion: string;
    isRemovable: boolean;
    newIndexField: string | null;
    addField: () => void;
    createNewIndexField: (newField: string) => void;
    removeField: (idx: number) => void;
    updateFieldName: (idx: number, name: string) => void;
    updateFieldType: (idx: number, fType: string) => void;
};
declare function CreateIndexFields({ fields, newIndexField, serverVersion, schemaFields, addField, createNewIndexField, removeField, updateFieldName, updateFieldType, }: CreateIndexFieldsProps): React.ReactElement;
export { CreateIndexFields };
//# sourceMappingURL=create-index-fields.d.ts.map