import type { AnyAction, Dispatch } from 'redux';
import type { IndexField } from '../create-index/fields';
declare const reducer: import("redux").Reducer<import("redux").CombinedState<{
    dataService: import("mongodb-data-service").DataService | null;
    appRegistry: unknown;
    collationString: string;
    fields: IndexField[];
    inProgress: any;
    useCustomCollation: boolean;
    useIndexName: boolean;
    schemaFields: string[];
    newIndexField: string | null;
    isVisible: any;
    error: string | null;
    isUnique: boolean;
    useTtl: boolean;
    useWildcardProjection: boolean;
    useColumnstoreProjection: boolean;
    usePartialFilterExpression: boolean;
    ttl: string;
    wildcardProjection: string;
    columnstoreProjection: string;
    partialFilterExpression: string;
    name: string;
    namespace: string;
    serverVersion: string;
    isSparse: boolean;
}>, import("redux").Action<any>>;
export declare type RootState = ReturnType<typeof reducer>;
export declare type CreateIndexSpec = {
    [key: string]: string | number;
};
declare const rootReducer: (state: RootState, action: AnyAction) => RootState;
export default rootReducer;
export declare const closeCreateIndexModal: () => (dispatch: Dispatch) => void;
export declare const createIndex: () => (dispatch: Dispatch, getState: () => RootState) => void;
//# sourceMappingURL=index.d.ts.map